gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Selectors.ColorSelection

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget used to select a color

Synopsis

- data ColorSelection
- class VBoxClass o => ColorSelectionClass o
- castToColorSelection :: GObjectClass obj => obj -> ColorSelection
- gTypeColorSelection :: GType
- toColorSelection :: ColorSelectionClass o => o -> ColorSelection
- colorSelectionNew :: IO ColorSelection
- colorSelectionGetCurrentAlpha :: ColorSelectionClass self => self -> IO Int
- colorSelectionSetCurrentAlpha :: ColorSelectionClass self => self -> Int -> IO ()
- colorSelectionGetCurrentColor :: ColorSelectionClass self => self -> IO Color
- colorSelectionSetCurrentColor :: ColorSelectionClass self => self -> Color -> IO ()
- colorSelectionGetHasOpacityControl :: ColorSelectionClass self => self -> IO Bool
- colorSelectionSetHasOpacityControl :: ColorSelectionClass self => self -> Bool -> IO ()
- colorSelectionGetHasPalette :: ColorSelectionClass self => self -> IO Bool
- colorSelectionSetHasPalette :: ColorSelectionClass self => self -> Bool -> IO ()
- colorSelectionGetPreviousAlpha :: ColorSelectionClass self => self -> IO Int
- colorSelectionSetPreviousAlpha :: ColorSelectionClass self => self -> Int -> IO ()
- colorSelectionGetPreviousColor :: ColorSelectionClass self => self -> IO Color
- colorSelectionSetPreviousColor :: ColorSelectionClass self => self -> Color -> IO ()
- colorSelectionIsAdjusting :: ColorSelectionClass self => self -> IO Bool
- colorSelectionHasOpacityControl :: ColorSelectionClass self => Attr self Bool
- colorSelectionHasPalette :: ColorSelectionClass self => Attr self Bool
- colorSelectionCurrentAlpha :: ColorSelectionClass self => Attr self Int
- colorSelectionPreviousAlpha :: ColorSelectionClass self => Attr self Int

# Detail

The `ColorSelection` is a widget that is used to select a color. It consists of a color wheel and number of sliders and entry boxes for color parameters such as hue, saturation, value, red, green, blue, and opacity. It is found on the standard color selection dialog box `ColorSelectionDialog`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----VBox
    | +----ColorSelection

# Types

data ColorSelection Source #

#### Instances

Instances details

Eq ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ColorSelection -> ColorSelection -> Bool Source # (/=) :: ColorSelection -> ColorSelection -> Bool Source #
Ord ColorSelection Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ColorSelection -> ColorSelection -> Ordering Source #

(<) :: ColorSelection -> ColorSelection -> Bool Source #

(<=) :: ColorSelection -> ColorSelection -> Bool Source #

(>) :: ColorSelection -> ColorSelection -> Bool Source #

(>=) :: ColorSelection -> ColorSelection -> Bool Source #

max :: ColorSelection -> ColorSelection -> ColorSelection Source #

min :: ColorSelection -> ColorSelection -> ColorSelection Source #

GObjectClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ColorSelection -> GObject Source # unsafeCastGObject :: GObject -> ColorSelection Source #
BoxClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ColorSelectionClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class VBoxClass o => ColorSelectionClass o Source #

#### Instances

Instances details

ColorSelectionClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToColorSelection :: GObjectClass obj => obj -> ColorSelection Source #

gTypeColorSelection :: GType Source #

toColorSelection :: ColorSelectionClass o => o -> ColorSelection Source #

# Constructors

colorSelectionNew :: IO ColorSelection Source #

Creates a new `ColorSelection`.

# Methods

colorSelectionGetCurrentAlpha Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> IO Int | returns an integer between 0 and 65535.

Returns the current alpha value.

colorSelectionSetCurrentAlpha Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> Int | `alpha` - an integer between 0 and 65535.
-> IO () |

Sets the current opacity to be `alpha`. The first time this is called, it will also set the original opacity to be `alpha` too.

colorSelectionGetCurrentColor :: ColorSelectionClass self => self -> IO Color Source #

Gets the current color in the `ColorSelection` widget.

colorSelectionSetCurrentColor Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> Color | `color` - A `Color` to set the current color with.
-> IO () |

Sets the current color to be `color`. The first time this is called, it will also set the original color to be `color` too.

colorSelectionGetHasOpacityControl Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> IO Bool | returns `True` if the color selector has an opacity control. `False` if it doesn't.

Determines whether the `ColorSelection` widget has an opacity control.

colorSelectionSetHasOpacityControl Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> Bool | `hasOpacity` - `True` if color selector can set the opacity, `False` otherwise.
-> IO () |

Sets the `ColorSelection` widget to use or not use opacity.

colorSelectionGetHasPalette Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> IO Bool | returns `True` if the selector has a palette. `False` if it hasn't.

Determines whether the color selector has a color palette.

colorSelectionSetHasPalette Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> Bool | `hasPalette` - `True` if palette is to be visible, `False` otherwise.
-> IO () |

Sets whether to show or hide the palette.

colorSelectionGetPreviousAlpha Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> IO Int | returns an integer between 0 and 65535.

Returns the previous alpha value.

colorSelectionSetPreviousAlpha Source #

Arguments

:: ColorSelectionClass self |
=> self |
-> Int | `alpha` - an integer between 0 and 65535.
-> IO () |

Sets the 'previous' alpha to be `alpha`. This function should be called with some hesitations, as it might seem confusing to have that alpha change.

colorSelectionGetPreviousColor :: ColorSelectionClass self => self -> IO Color Source #

Returns the original color value.

colorSelectionSetPreviousColor :: ColorSelectionClass self => self -> Color -> IO () Source #

Sets the 'previous' color to be `color`. This function should be called with some hesitations, as it might seem confusing to have that color change. Calling `colorSelectionSetCurrentColor` will also set this color the first time it is called.

colorSelectionIsAdjusting :: ColorSelectionClass self => self -> IO Bool Source #

Gets the current state of the widget. Returns True if the user is currently dragging a color around, and False if the selection has stopped.

# Attributes

colorSelectionHasOpacityControl :: ColorSelectionClass self => Attr self Bool Source #

Whether the color selector should allow setting opacity.

Default value: `False`

colorSelectionHasPalette :: ColorSelectionClass self => Attr self Bool Source #

Whether a palette should be used.

Default value: `False`

colorSelectionCurrentAlpha :: ColorSelectionClass self => Attr self Int Source #

The current opacity value (0 fully transparent, 65535 fully opaque).

Allowed values: <= 65535

Default value: 65535

colorSelectionPreviousAlpha :: ColorSelectionClass self => Attr self Int Source #

'previousAlpha' property. See `colorSelectionGetPreviousAlpha` and `colorSelectionSetPreviousAlpha`